### Virtual Method

# Gio File get_path

#### Declaration

    char*
    get_path (
      GFile* file
    )

#### Description

Gets the local pathname for `GFile`, if one exists. If non-`NULL`, this is guaranteed to be an absolute, canonical path. It might contain symlinks.

This call does no blocking I/O.

#### Return value

Type: `char*`

String containing the `GFile`‘s path, or `NULL` if no such path exists. The returned string should be freed with `g_free()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.